#!/bin/bash
set -e
IFS=$'\n\n'

# Import external functions
chmod +x ./devops/PipeLines/Functions.core.sh
source ./devops/PipeLines/Functions.core.sh

GetAppName appName

echo "starting release for ${appName}, it will dynamicly create k8s environment..."

GetMajor major
GetVersion version
GetNameSpace namespace
declare releaseName="${appName}-v${major}"

echo ""
echo "Please check the image version of each microservice carefully !!!"
echo "kubernetes's namespace: ${namespace}"
for servicePrefix in `ls ./src/Services|xargs -d '/'`
do
  GetServiceName ${servicePrefix} serviceName
  echo "${serviceName}: ${version}"
done

echo ""
GetReplicas replicas
ToLower ${Environment} environment

helm install /root/AutoDevOpsPipeLinesCharts \
--name=${releaseName} \
--set environment.upper=${Environment} \
--set environment.lower=${environment} \
--set namespace=${namespace}  \
--set image.version=${version} \
--set replicas=${replicas}

echo ""
echo "k8s environment Created Successfully !!!"